Package org.eclipse.mat.snapshot.registry

# Class SubjectRegistry<D>

java.lang.Object
org.eclipse.mat.util.RegistryReader<D>
org.eclipse.mat.snapshot.registry.SubjectRegistry<D>

All Implemented Interfaces:
  `IExtensionChangeHandler`

Direct Known Subclasses:
  `RequestDetailResolverRegistry`

public abstract class SubjectRegistry<D> extends RegistryReader<D>

## Constructor Summary

Constructors
Constructor
Description
`SubjectRegistry()`

## Method Summary

Modifier and Type
Method
Description
`final D`
`createDelegate(IConfigurationElement configElement)`
`final Collection<String>`
`getKeys()`
`final D`
`lookup(String key)`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubjectRegistry

public SubjectRegistry()

## Method Details

### createDelegate

public final D createDelegate(IConfigurationElement configElement) throws CoreException

Throws:
  `CoreException`

### lookup

public final D lookup(String key)

### getKeys

public final Collection<String> getKeys()